## lomiri-filemanager-app 1.0.0~git20230127.2cf7c7a+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(lomiri-filemanager-app VERSION 1.0.0 LANGUAGES CXX)

include(FindGettext)
if(NOT GETTEXT_FOUND)
  message(FATAL_ERROR "Could not find gettext")
endif(NOT GETTEXT_FOUND)

set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra -fPIC")

# Standard install paths
include(GNUInstallDirs)

option(INSTALL_TESTS "Install the tests on make install" on)
option(CLICK_MODE "Installs to a contained location" on)

set(APP_NAME ${PROJECT_NAME})
set(DESKTOP_FILE "${PROJECT_NAME}.desktop")
set(ICON_FILE filemanager.svg)
set(SPLASH_FILE splash.svg)
set(AUTOPILOT_DIR lomiri_filemanager_app)
set(EXEC "${APP_NAME}")
set(CONTENT_HUB_JSON content-hub.json)
set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")

# global FILE definitions for stat system call, it works for any sub module
add_definitions(-D_LARGEFILE_SOURCE)
add_definitions(-D_FILE_OFFSET_BITS=64)

if(CLICK_MODE)
    # Find out the architecture for package building
    # to determine the plugin's installation path
    execute_process(
        COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH
        OUTPUT_VARIABLE ARCH_TRIPLET
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    set(CMAKE_INSTALL_PREFIX /)
    set(CMAKE_INSTALL_BINDIR /)
    set(DATA_DIR /)
    set(ICON ${ICON_FILE})
    set(SPLASH ${SPLASH_FILE})
    set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
    set(BIN_DIR /lib/${ARCH_TRIPLET}/bin)
    set(DESKTOP_DIR ${DATA_DIR})

    if(NOT GIT_REVNO)
        execute_process(
          COMMAND git rev-list --first-parent --all --count
          WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
          OUTPUT_VARIABLE GIT_REVNO
          OUTPUT_STRIP_TRAILING_WHITESPACE
        )
    endif(NOT GIT_REVNO)
    if(NOT GIT_REVNO)
        set(GIT_REVNO "latest")
    endif(NOT GIT_REVNO)

    if(NOT GIT_HASH)
        execute_process(
          COMMAND git rev-parse --short=7 HEAD
          WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
          OUTPUT_VARIABLE GIT_HASH
          OUTPUT_STRIP_TRAILING_WHITESPACE
        )
    endif(NOT GIT_HASH)
    if(NOT GIT_HASH)
        set(GIT_HASH "unknownhash")
    endif(NOT GIT_HASH)

    #query the target architecture
    execute_process(
        COMMAND dpkg-architecture -qDEB_HOST_ARCH
        OUTPUT_VARIABLE CLICK_ARCH
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )

    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)

    # make the click files visible in qtcreator
    file(GLOB CLICK_FILES
         RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
         manifest.json.in *.apparmor)

    add_custom_target(filemanager_ubports_CLICKFiles ALL SOURCES ${CLICK_FILES})
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json filemanager.apparmor ${CONTENT_HUB_JSON} DESTINATION ${CMAKE_INSTALL_PREFIX})
    get_filename_component(BLD_CONFIGURATION_NAME ${CMAKE_BINARY_DIR} NAME)

else(CLICK_MODE)
    execute_process(
        COMMAND qmake -query QT_INSTALL_QML
        OUTPUT_VARIABLE QT_IMPORTS_DIR
        OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
    set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
endif(CLICK_MODE)

file(GLOB SRC_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     *.qml *.js *.png *.svg *.json)
list(REMOVE_ITEM SRC_FILES clickable.json)
install(FILES ${SRC_FILES}  DESTINATION ${DATA_DIR})

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in)

add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}..."
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${DESKTOP_DIR})

# Tests
enable_testing()

add_subdirectory(po)
add_subdirectory(tests)
add_subdirectory(src)

=== debian/changelog ===
lomiri-filemanager-app (1.0.0~git20230127.2cf7c7a+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030016).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 12:19:31 +0100

=== debian/control ===
Source: lomiri-filemanager-app
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               intltool,
               qtbase5-dev,
               qtdeclarative5-dev,
               python3-all,
               libtag1-dev,
               libsmbclient-dev,
Standards-Version: 4.6.2
Section: misc
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-filemanager-app
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-filemanager-app/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-filemanager-app.git

Package: lomiri-filemanager-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         qml-module-u1db,
         qml-module-lomiri-components,
         qml-module-lomiri-components-extras,
         qml-module-lomiri-layouts,
         qml-module-lomiri-content,
         qml-module-lomiri-thumbnailer0.1,
         libsmbclient,
Description: Filemanager App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Filemanager App.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  repacksuffix=+dfsg, dversionmangle=s/\+dfsg//, pretty=1.0.0~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-filemanager-app \
HEAD debian uupdate

## lomiri-filemanager-app 1.0.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.0.0 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.0.1 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== debian/changelog ===
lomiri-filemanager-app (1.0.1+dfsg-2) unstable; urgency=medium

  * debian/control:
    + Fix D on qml-module-lomiri-thumbnailer. (Closes: #1030357).
      (De facto already resolved via previous upload, but the
      bug closure was forgotten in d/changelog).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 00:01:23 +0100

lomiri-filemanager-app (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Typo fix in Files-Excluded: field.
  * debian/control:
    + Fix D on qml-module-lomiri-thumbnailer. (Closes: #1030357).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 22:23:03 +0100

## lomiri-filemanager-app 1.0.2%2Bdfsg

=== src/plugin/placesmodel/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(PLUGIN_DIR Lomiri/FileManager/PlacesModel)

set(placesmodel_SRCS
    placesmodel.cpp
    placesmodel.h
    placesmodel_plugin.cpp
    placesmodel_plugin.h
    qmtabparser.h
    qmtabparser.cpp
)

add_library(PlacesModel MODULE
    ${placesmodel_SRCS}
)

qt5_use_modules(PlacesModel Gui Qml Quick Widgets)

# Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    add_custom_command(TARGET PlacesModel POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Creating plugin directory layout in the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Copying the qmldir file to the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:PlacesModel> ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Copying the plugin binary to the build directory"
    )
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

# Install plugin file
install(TARGETS PlacesModel DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN_DIR})

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
          qml-module-lomiri-components-extras,
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
-         qml-module-lomiri-thumbnailer0.1,
+         qml-module-lomiri-thumbnailer,
          libsmbclient,
 Description: Filemanager App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCLICK_MODE=OFF

override_dh_install:
	rm -Rf debian/lomiri-filemanager-app/usr/lib/python3/
	dh_install

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## lomiri-filemanager-app 1.0.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.0.1 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.0.2 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)

=== po/CMakeLists.txt ===
include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${PROJECT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  # Extract the translatable messages from the desktop file
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${GETTEXT_PACKAGE}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_BINARY_DIR}
                          ${DESKTOP_FILE}.in
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=tr --keyword=tr:1,2 --keyword=N_
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          --join-existing
                          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== debian/changelog ===
lomiri-filemanager-app (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Translation updates.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 15:20:15 +0100

## lomiri-filemanager-app 1.0.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.0.2 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.0.4 LANGUAGES CXX)
 
 include(FindGettext)
 if(NOT GETTEXT_FOUND)
@@ -20,7 +20,6 @@
 set(ICON_FILE filemanager.svg)
 set(SPLASH_FILE splash.svg)
 set(AUTOPILOT_DIR lomiri_filemanager_app)
-set(EXEC "${APP_NAME}")
 set(CONTENT_HUB_JSON content-hub.json)
 set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
 
@@ -43,6 +42,7 @@
     set(SPLASH ${SPLASH_FILE})
     set(QT_IMPORTS_DIR "/lib/${ARCH_TRIPLET}")
     set(BIN_DIR /lib/${ARCH_TRIPLET}/bin)
+    set(EXEC "lomiri-filemanager-app-migrate.py ${APP_NAME}")
     set(DESKTOP_DIR ${DATA_DIR})
 
     if(NOT GIT_REVNO)
@@ -87,6 +87,7 @@
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json filemanager.apparmor ${CONTENT_HUB_JSON} DESTINATION ${CMAKE_INSTALL_PREFIX})
     get_filename_component(BLD_CONFIGURATION_NAME ${CMAKE_BINARY_DIR} NAME)
 
+    install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${DATA_DIR}")
 else(CLICK_MODE)
     execute_process(
         COMMAND qmake -query QT_INSTALL_QML
@@ -96,7 +97,10 @@
     set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
     set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
     set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
+    set(EXEC ${APP_NAME})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
+
+    install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${CMAKE_INSTALL_PREFIX}/${DATA_DIR}")
 endif(CLICK_MODE)
 
 file(GLOB SRC_FILES

=== src/app/CMakeLists.txt ===
file(GLOB_RECURSE QML_SRCS *.qml *.js *.png *.svg)

set(filemanager_SRCS
    main.cpp
    patharrowbackground.cpp
    patharrowbackground.h
    fmutils.cpp
    fmutils.h
    ${QML_SRCS}
)

add_executable(lomiri-filemanager-app ${filemanager_SRCS})

qt5_use_modules(lomiri-filemanager-app Gui Qml Quick)
target_link_libraries(lomiri-filemanager-app stdc++)

if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
add_custom_target(lomiri-filemanager-app-qmlfiles ALL
    COMMAND cp -r ${CMAKE_CURRENT_SOURCE_DIR}/qml ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${QMLFILES}
)
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

install(DIRECTORY qml DESTINATION ${DATA_DIR})
if(CLICK_MODE)
  install(TARGETS lomiri-filemanager-app DESTINATION ${BIN_DIR})
else()
  install(TARGETS lomiri-filemanager-app RUNTIME DESTINATION bin)
endif()

=== src/plugin/CMakeLists.txt ===
# Disable TagLib in folderlistmodel plugin
ADD_DEFINITIONS(-DDO_NOT_USE_TAG_LIB)

include(FindPkgConfig)
find_package(Qt5Core)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Widgets)

add_subdirectory(folderlistmodel)
add_subdirectory(placesmodel)
add_subdirectory(archives)

=== src/plugin/archives/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(PLUGIN_DIR Lomiri/FileManager/Archives)

set(archives_SRCS
    archives.cpp
    archives.h
    archives_plugin.cpp
    archives_plugin.h
)

add_library(Archives MODULE
    ${archives_SRCS}
)

qt5_use_modules(Archives Gui Qml Quick Widgets)

# Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    add_custom_command(TARGET Archives POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Creating plugin directory layout in the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Copying the qmldir file to the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:Archives> ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Copying the plugin binary to the build directory"
    )
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

# Install plugin file
install(TARGETS Archives DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN_DIR})
install(FILES qmldir DESTINATION ${QT_IMPORTS_DIR}/${PLUGIN_DIR})

=== src/plugin/folderlistmodel/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    disk
    trash   
    net
    smb 
    smb/qsambaclient/src
)

set(PLUGIN_DIR Lomiri/FileManager/folderlistmodel)

set(folderlistmodel_SRCS
    clipboard.cpp
    clipboard.h
    diritemabstractlistmodel.h
    diriteminfo.cpp
    diriteminfo.h
    dirmodel.cpp
    dirmodel.h
    dirselection.cpp
    dirselection.h
    externalfswatcher.cpp
    externalfswatcher.h
    filecompare.cpp
    filecompare.h
    filesystemaction.cpp
    filesystemaction.h
    fmutil.cpp
    fmutil.h
    imageprovider.cpp
    imageprovider.h
    iorequest.cpp
    iorequest.h
    iorequestworker.cpp
    iorequestworker.h
    ioworkerthread.cpp
    ioworkerthread.h
    networklistworker.cpp
    networklistworker.h
    plugin.cpp
    plugin.h
    location.cpp
    location.h
    locationsfactory.cpp
    locationsfactory.h
    locationurl.cpp
    locationurl.h
    networklocation.cpp
    networklocation.h
    locationitemdir.cpp
    locationitemdir.h
    locationitemdiriterator.cpp
    locationitemdiriterator.h
    locationitemfile.cpp
    locationitemfile.h  
    cleanurl.cpp
    cleanurl.h
    urliteminfo.cpp
    urliteminfo.h
    disk/disklocation.cpp
    disk/disklocation.h
    disk/disklocationitemdiriterator.cpp
    disk/disklocationitemdiriterator.h
    disk/disklocationitemfile.cpp
    disk/disklocationitemfile.h
    disk/disklocationitemdir.cpp
    disk/disklocationitemdir.h
    trash/qtrashdir.cpp
    trash/qtrashdir.h   
    trash/qtrashutilinfo.cpp
    trash/qtrashutilinfo.h
    trash/trashiteminfo.cpp
    trash/trashiteminfo.h
    trash/trashlocation.cpp
    trash/trashlocation.h 
    smb/qsambaclient/src/smbutil.cpp
    smb/qsambaclient/src/smbutil.h
    smb/qsambaclient/src/smbiteminfo.cpp
    smb/qsambaclient/src/smbiteminfo.h
    smb/qsambaclient/src/smblocationdiriterator.cpp
    smb/qsambaclient/src/smblocationdiriterator.h
    smb/qsambaclient/src/smblocationitemfile.cpp
    smb/qsambaclient/src/smblocationitemfile.h
    smb/qsambaclient/src/smblocationitemdir.cpp
    smb/qsambaclient/src/smblocationitemdir.h
    smb/qsambaclient/src/smbobject.cpp
    smb/qsambaclient/src/smbobject.h
    smb/smblocation.h
    smb/smblocation.cpp
    smb/smblocationauthentication.cpp
    smb/smblocationauthentication.h
    smb/qsambaclient/src/smbplaces.cpp
    smb/qsambaclient/src/smbplaces.h
    smb/qsambaclient/src/smbusershare.cpp
    smb/qsambaclient/src/smbusershare.h
    net/netauthenticationdata.cpp
    net/netauthenticationdata.h  
    net/netutil.cpp
    net/netutil.h
)

add_library(folderlistmodel MODULE
    ${folderlistmodel_SRCS}
)

qt5_use_modules(folderlistmodel Gui Qml Quick Widgets)

## samba requires libsmbclient
find_path(SAMBA_INCLUDE_DIR 
          NAMES libsmbclient.h 
          HINTS /usr/include/smbclient /usr/include/samba /usr/include/samba-3.0 /usr/include/samba-4.0
          )
find_library(SAMBA_LIBRARIES NAMES smbclient )
message(STATUS "samba include=${SAMBA_INCLUDE_DIR}")
message(STATUS "samba lib=${SAMBA_LIBRARIES}=${SAMBA_LIBRARIES}")

if(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
   message(STATUS "Found samba: include=${SAMBA_INCLUDE_DIR}  library=${SAMBA_LIBRARIES}")
   INCLUDE_DIRECTORIES(${SAMBA_INCLUDE_DIR})
   TARGET_LINK_LIBRARIES(folderlistmodel ${SAMBA_LIBRARIES})
else(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
   message(FATAL_ERROR "Could not find Samba libsmbclient")
endif(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
mark_as_advanced(SAMBA_INCLUDE_DIR SAMBA_LIBRARIES)
## end samba confiuration

# Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    add_custom_command(TARGET folderlistmodel POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Creating plugin directory layout in the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Copying the qmldir file to the build directory"
        COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:folderlistmodel> ${CMAKE_CURRENT_BINARY_DIR}/../${PLUGIN_DIR}
        COMMENT "Copying the plugin binary to the build directory"
    )
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

# Install plugin file
install(TARGETS folderlistmodel DESTINATION ${QT_IMPORTS_DIR}/Lomiri/FileManager/folderlistmodel/)
install(FILES qmldir DESTINATION ${QT_IMPORTS_DIR}/Lomiri/FileManager/folderlistmodel/)

=== debian/changelog ===
lomiri-filemanager-app (1.0.4+dfsg-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:52:28 +1100

lomiri-filemanager-app (1.0.4+dfsg-1ubuntu2) noble; urgency=high

  * Bump depends to libsmbclient0.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 18:18:10 +0100

lomiri-filemanager-app (1.0.4+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:44:42 +0000

lomiri-filemanager-app (1.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Feb 2024 23:46:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: lomiri-filemanager-app
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
@@ -29,7 +30,7 @@
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
          qml-module-lomiri-thumbnailer,
-         libsmbclient,
+         libsmbclient0,
 Description: Filemanager App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 override_dh_install:
 	rm -Rf debian/lomiri-filemanager-app/usr/lib/python3/
+	rm -f debian/lomiri-filemanager-app/usr/share/lomiri-filemanager-app/lomiri-filemanager-app-migrate.py
 	dh_install
 
 get-orig-source:

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
https://gitlab.com/ubports/development/apps/lomiri-filemanager-app/tags .*/lomiri-filemanager-app-v(\d\S+)\.tar\.gz

## lomiri-filemanager-app 1.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,37 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.0.4 LANGUAGES CXX)
-
-include(FindGettext)
-if(NOT GETTEXT_FOUND)
-  message(FATAL_ERROR "Could not find gettext")
-endif(NOT GETTEXT_FOUND)
+project(lomiri-filemanager-app VERSION 1.1.1 LANGUAGES CXX)
 
 set(CMAKE_AUTOMOC ON)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fno-permissive -pedantic -Wall -Wextra -fPIC")
+set(CMAKE_CXX_STANDARD 11)
+add_compile_options(-fno-permissive -pedantic -Wall -Wextra -fPIC)
+
+find_package(Gettext REQUIRED)
+
+find_package(Qt5Core REQUIRED)
+find_package(Qt5Gui REQUIRED)
+find_package(Qt5Qml REQUIRED)
+find_package(Qt5Quick REQUIRED)
+find_package(Qt5Widgets REQUIRED)
+
+find_package(PkgConfig)
+if(${PkgConfig_FOUND})
+    pkg_check_modules(SAMBA smbclient)
+endif(${PkgConfig_FOUND})
+if(NOT "${SAMBA_FOUND}")
+    find_path(SAMBA_INCLUDE_DIRS
+              NAMES libsmbclient.h
+              HINTS /usr/include/smbclient /usr/include/samba /usr/include/samba-3.0 /usr/include/samba-4.0
+              )
+    find_library(SAMBA_LIBRARIES NAMES smbclient)
+    message(STATUS "samba include=${SAMBA_INCLUDE_DIRS}")
+    message(STATUS "samba lib=${SAMBA_LIBRARIES}")
+
+    if(SAMBA_INCLUDE_DIRS AND SAMBA_LIBRARIES)
+       message(STATUS "Found samba: include=${SAMBA_INCLUDE_DIRS}  library=${SAMBA_LIBRARIES}")
+    else(SAMBA_INCLUDE_DIRS AND SAMBA_LIBRARIES)
+       message(FATAL_ERROR "Could not find Samba libsmbclient")
+    endif(SAMBA_INCLUDE_DIRS AND SAMBA_LIBRARIES)
+endif()
 
 # Standard install paths
 include(GNUInstallDirs)
@@ -22,6 +46,7 @@
 set(AUTOPILOT_DIR lomiri_filemanager_app)
 set(CONTENT_HUB_JSON content-hub.json)
 set(MANIFEST_PATH "manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")
+set(URL_DISPATCHER filemanager.url-dispatcher)
 
 # global FILE definitions for stat system call, it works for any sub module
 add_definitions(-D_LARGEFILE_SOURCE)
@@ -84,7 +109,7 @@
          manifest.json.in *.apparmor)
 
     add_custom_target(filemanager_ubports_CLICKFiles ALL SOURCES ${CLICK_FILES})
-    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json filemanager.apparmor ${CONTENT_HUB_JSON} DESTINATION ${CMAKE_INSTALL_PREFIX})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json filemanager.apparmor ${CONTENT_HUB_JSON} ${URL_DISPATCHER} DESTINATION ${CMAKE_INSTALL_PREFIX})
     get_filename_component(BLD_CONFIGURATION_NAME ${CMAKE_BINARY_DIR} NAME)
 
     install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${DATA_DIR}")

=== debian/changelog ===
lomiri-filemanager-app (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001-Set-gettext-domain-correctly.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 13:04:33 +0200

lomiri-filemanager-app (1.0.4+dfsg-3) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Add patch 0001 from upstream in order to fix i18n

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Apr 2024 12:19:05 +0200

lomiri-filemanager-app (1.0.4+dfsg-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Drop libsmbclient from D:. (Closes: #1068400).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Apr 2024 23:07:14 +0200

## lomiri-filemanager-app 1.1.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.1.1 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.1.2 LANGUAGES CXX)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_CXX_STANDARD 11)
@@ -119,13 +119,16 @@
         OUTPUT_VARIABLE QT_IMPORTS_DIR
         OUTPUT_STRIP_TRAILING_WHITESPACE
     )
-    set(DATA_DIR ${CMAKE_INSTALL_DATADIR}/${APP_NAME})
-    set(ICON ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${ICON_FILE})
-    set(SPLASH ${CMAKE_INSTALL_PREFIX}/${DATA_DIR}/${SPLASH_FILE})
+    set(DATA_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${APP_NAME})
+    set(ICON lomiri-filemanager-app)
+    set(SPLASH ${DATA_DIR}/${SPLASH_FILE})
     set(EXEC ${APP_NAME})
     set(DESKTOP_DIR ${CMAKE_INSTALL_DATADIR}/applications)
 
-    install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${CMAKE_INSTALL_PREFIX}/${DATA_DIR}")
+    install(PROGRAMS lomiri-filemanager-app-migrate.py DESTINATION "${DATA_DIR}")
+    install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps" RENAME "${ICON}.svg")
+    install(FILES ${CONTENT_HUB_JSON} DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers" RENAME lomiri-filemanager-app)
+    install(FILES ${URL_DISPATCHER} DESTINATION "${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls" RENAME lomiri-filemanager-app.url-dispatcher)
 endif(CLICK_MODE)
 
 file(GLOB SRC_FILES

=== debian/changelog ===
lomiri-filemanager-app (1.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 22 Sep 2024 09:32:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: lomiri-filemanager-app
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: cmake,
@@ -12,7 +11,7 @@
                python3-all,
                libtag1-dev,
                libsmbclient-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: misc
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-filemanager-app
@@ -30,7 +29,6 @@
          qml-module-lomiri-layouts,
          qml-module-lomiri-content,
          qml-module-lomiri-thumbnailer,
-         libsmbclient0,
 Description: Filemanager App for Lomiri Operating Environment
  This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
  a mobile OS developed by the UBports Foundation. Lomiri is its operating

## lomiri-filemanager-app 1.1.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.1.2 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.1.3 LANGUAGES CXX)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_CXX_STANDARD 11)

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,13 @@
     ${QML_SRCS}
 )
 
+configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h @ONLY)
+
 add_executable(lomiri-filemanager-app ${filemanager_SRCS})
 
-qt5_use_modules(lomiri-filemanager-app Gui Qml Quick)
+target_include_directories(lomiri-filemanager-app PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
+
+target_link_libraries(lomiri-filemanager-app Qt5::Gui Qt5::Qml Qt5::Quick)
 target_link_libraries(lomiri-filemanager-app stdc++)
 
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

=== debian/changelog ===
lomiri-filemanager-app (1.1.3+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Disable taglib support for now again. Breaks the UI entirely.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Feb 2025 16:53:15 +0100

lomiri-filemanager-app (1.1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Add 0001-Fix-connections-syntax.patch. Cherry-picked from upstream (and
      reverted, because the patch breaks when built against Qt 5.12).
    + Add 1001_reenable-taglib.patch and 1002_port-to-taglib2.patch. Renable
      taglib support and support taglib 2.x.
    + Trivially rebase 2001_no-autopilot-tests.patch.
  * debian/control:
    + Switch from libtag1-dev -> libtag-dev. (Closes: #1093382).
    + Support building against libtag1-dev alternatively (needed for builds
      against Ubuntu 24.04 on Launchpad).
  * debian/copyright:
    + Update attributions for debian/.
  * debian/rules:
    + Complete hardening block.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Feb 2025 09:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                qtbase5-dev,
                qtdeclarative5-dev,
                python3-all,
-               libtag1-dev,
+               libtag-dev | libtag1-dev,
                libsmbclient-dev,
 Standards-Version: 4.7.0
 Section: misc

## lomiri-filemanager-app 1.1.4+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-filemanager-app VERSION 1.1.3 LANGUAGES CXX)
+project(lomiri-filemanager-app VERSION 1.1.4 LANGUAGES CXX)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_CXX_STANDARD 11)

=== src/CMakeLists.txt ===
add_subdirectory(plugin)
add_subdirectory(app)

=== src/plugin/CMakeLists.txt ===
# Disable TagLib in folderlistmodel plugin
ADD_DEFINITIONS(-DDO_NOT_USE_TAG_LIB)

add_subdirectory(folderlistmodel)
add_subdirectory(placesmodel)
add_subdirectory(archives)

=== src/plugin/archives/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
     ${archives_SRCS}
 )
 
-qt5_use_modules(Archives Gui Qml Quick Widgets)
+target_link_libraries(Archives Qt5::Gui Qt5::Qml Qt5::Quick Qt5::Widgets)
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

=== src/plugin/folderlistmodel/CMakeLists.txt ===
--- 
+++ 
@@ -103,26 +103,10 @@
     ${folderlistmodel_SRCS}
 )
 
-qt5_use_modules(folderlistmodel Gui Qml Quick Widgets)
+target_link_libraries(folderlistmodel Qt5::Gui Qt5::Qml Qt5::Quick Qt5::Widgets)
 
-## samba requires libsmbclient
-find_path(SAMBA_INCLUDE_DIR 
-          NAMES libsmbclient.h 
-          HINTS /usr/include/smbclient /usr/include/samba /usr/include/samba-3.0 /usr/include/samba-4.0
-          )
-find_library(SAMBA_LIBRARIES NAMES smbclient )
-message(STATUS "samba include=${SAMBA_INCLUDE_DIR}")
-message(STATUS "samba lib=${SAMBA_LIBRARIES}=${SAMBA_LIBRARIES}")
-
-if(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
-   message(STATUS "Found samba: include=${SAMBA_INCLUDE_DIR}  library=${SAMBA_LIBRARIES}")
-   INCLUDE_DIRECTORIES(${SAMBA_INCLUDE_DIR})
-   TARGET_LINK_LIBRARIES(folderlistmodel ${SAMBA_LIBRARIES})
-else(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
-   message(FATAL_ERROR "Could not find Samba libsmbclient")
-endif(SAMBA_INCLUDE_DIR AND SAMBA_LIBRARIES)
-mark_as_advanced(SAMBA_INCLUDE_DIR SAMBA_LIBRARIES)
-## end samba confiuration
+target_include_directories(folderlistmodel PUBLIC ${SAMBA_INCLUDE_DIRS})
+target_link_libraries(folderlistmodel ${SAMBA_LIBRARIES})
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

=== src/plugin/placesmodel/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
     ${placesmodel_SRCS}
 )
 
-qt5_use_modules(PlacesModel Gui Qml Quick Widgets)
+target_link_libraries(PlacesModel Qt5::Gui Qt5::Qml Qt5::Quick Qt5::Widgets)
 
 # Copy the plugin, the qmldir file and other assets to the build dir for running in QtCreator
 if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

=== debian/changelog ===
lomiri-filemanager-app (1.1.4+dfsg-2) unstable; urgency=medium

  * debian/patches:
    + Add 2002_hide-app-if-not-in-lomiri.patch. Hide app if not in Lomiri.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 15:03:13 +0200

lomiri-filemanager-app (1.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 14:37:04 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-all,
                libtag-dev | libtag1-dev,
                libsmbclient-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: misc
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-filemanager-app

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@
